
From: Roman Zippel <zippel@linux-m68k.org>

Fix a small typo and read the correct time for a dir.

Signed-off-by: Roman Zippel <zippel@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/hfs/inode.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/hfs/inode.c~hfs-read-correct-dir-time fs/hfs/inode.c
--- 25/fs/hfs/inode.c~hfs-read-correct-dir-time	Wed Oct 20 16:41:23 2004
+++ 25-akpm/fs/hfs/inode.c	Wed Oct 20 16:41:23 2004
@@ -331,7 +331,7 @@ int hfs_read_inode(struct inode *inode, 
 		HFS_I(inode)->fs_blocks = 0;
 		inode->i_mode = S_IFDIR | (S_IRWXUGO & hsb->s_dir_umask);
 		inode->i_ctime = inode->i_atime = inode->i_mtime =
-				hfs_m_to_utime(rec->file.MdDat);
+				hfs_m_to_utime(rec->dir.MdDat);
 		inode->i_op = &hfs_dir_inode_operations;
 		inode->i_fop = &hfs_dir_operations;
 		break;
_
